Get invoice
Get one invoice with its lines, totals and payments.
GET https://cotlet.dev/api/v1/fatture-in-cloud/invoices/{invoice_id}
read
Returns the client, the lines with net price, quantity and VAT, the totals and the payments list with due dates and paid status. Use it before recording a payment or building a reminder.
Parameters
| Name | Type | Description |
|---|---|---|
| company_id integer | integer | Company ID. Optional when your account has one company. |
| invoice_id integer required | integer | Invoice ID from list_invoices or create_invoice. |
Request
curl https://cotlet.dev/api/v1/fatture-in-cloud/invoices/1 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("fatture-in-cloud", "get_invoice", {"invoice_id":1}) const result = await cotlet.call('fatture-in-cloud', 'get_invoice', {"invoice_id":1}); cotlet call fatture-in-cloud get_invoice --data '{"invoice_id":1}' Example response
{
"id": 88120,
"number": 14,
"date": "2026-10-02",
"client": {
"id": 5107,
"name": "Rossi Consulting SRL"
},
"e_invoice": true,
"lines": [
{
"description": "Consulting, 10 hours",
"quantity": 10,
"net_price": 150,
"vat_percent": 22
}
],
"amount_net": 1500,
"amount_vat": 330,
"amount_gross": 1830,
"payments": [
{
"amount": 1830,
"due_date": "2026-11-01",
"status": "not_paid"
}
]
}